#

API Docs for:
Show: Inherited Protected Private Deprecated

# ContextMenu Class

Defined in: `../src/litegraph.js:7219`

ContextMenu from LiteGUI

## Constructor

### `ContextMenu`

(

- `values`
- `options`

)

Defined in `../src/litegraph.js:7219`

#### Parameters:

- `values` Array

  (allows object { title: "Nice text", callback: function ... })

- `options` Object

  [optional] Some options:\

  - title: title to show on top of the menu
  - callback: function to call when an option is clicked, it receives the item information
  - ignore_item_callbacks: ignores the callback inside the item, it just calls the options.callback
  - event: you can pass a MouseEvent, this way the ContextMenu appears in that position

- Index

## Item Index